@import 'src/app/shared/styles/styles';

.input-error {
  border: 1px solid red;
}

.btn {
  border: none;
  cursor: pointer;
  opacity: .5;
  transition: .5s ease-in-out;

  
  &:hover {
    opacity: 1;
  }
}

.delete {
  color: red;
}

.course {
 min-width: 60vw;

  &__flex {
    display: flex;
    justify-content: space-between;
    align-items: baseline;

    & input {
      flex: 1;
    }

    & app-button {
      margin-left: 16px;
    }

    & .course__duration {
      margin-left: 16px;
    }
  }

  .course-lists {
    margin-top: 16px;
    display: grid;
    grid-template-columns: auto auto;
  }

  &__authors {
    margin-top: 8px;
    display: flex;


    &-available-list, &-selected-list {

      ul {
        list-style-type: none;

        li {
          display: flex;
          margin-bottom: 8px;
          padding: 8px;
          
          span {
            width: 200px;
          }
        }
      }
    }

    &-selected-list {
      padding: 10px;
      border: 1px solid grey;
      border-radius: 5px;
    }

    &-item {
      margin-right: 10px;
    }
  }

  &__icon {
    margin-left: 4px;
    cursor: pointer;
  }
}